For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Get PVC voice sample waveform

GET
/v1/voices/pvc/:voice_id/samples/:sample_id/waveform
GET
/v1/voices/pvc/:voice_id/samples/:sample_id/waveform
$curl https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples/sample_id/waveform
1{
2 "sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
3 "visual_waveform": [
4 0.1,
5 0.2,
6 0.3,
7 0.4,
8 0.5
9 ]
10}
Retrieve the visual waveform of a voice sample.
Was this page helpful?
Previous

Get PVC speaker separation status

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

sample_idstringRequired
Sample ID to be used

Headers

xi-api-keystringOptional

Response

Successful Response
sample_idstring
The ID of the sample.
visual_waveformlist of doubles
The visual waveform of the sample, represented as a list of floats.

Errors

422
Unprocessable Entity Error